DECLARE @OldName nvarchar (100)
DECLARE @newName nvarchar (100)

-- put in your IONE6 and PME server names where indicated
SET @oldName = 'Original_Server_Name'
SET @newName = 'New_Server_Name'


USE ION_Network

-- update CFG_ITemValue table

UPDATE CFG_ItemValue
SET Value = 'http://' + @newName + '/ionreportdataservice/ReportDataService.asmx'
WHERE Value = 'http://' + @oldName + '/ionreportdataservice/ReportDataService.asmx'
 
UPDATE CFG_ItemValue
SET Value = 'http://' + @newName + '/ReportServer_ION'
WHERE Value = 'http://' + @oldName + '/ReportServer_ION'

UPDATE CFG_ItemValue
SET Value = 'http://' + @newName + '/ReportServer_ION/reportservice2005.asmx'
WHERE Value = 'http://' + @oldName + '/ReportServer_ION/reportservice2005.asmx'


UPDATE CFG_ItemValue
SET Value = 'http://' + @newName + '/ReportServer_ION/ReportExecution2005.asmx'
WHERE Value = 'http://' + @oldName + '/ReportServer_ION/ReportExecution2005.asmx'
